Badger::Data::Facet::Number(3pm)

NAME
Badger::Data::Facet::Number - base class for numerical validation facets

DESCRIPTION
This module implements a base class for numerical validation facets.

METHODS
This module implements the following methods in addition to those inherited from the Badger::Data::Facet and Badger::Base base classes.

  validate($value_ref)
Asserts that the $value passed by reference as an argument is a number.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet.